/*
 * This file is part of NoCarGoal, which is a GameScript for OpenTTD
 * Copyright (C) 2012  Leif Linse
 *
 * NoCarGoal is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * NoCarGoal is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NoCarGoal; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

require("version.nut");

class FMainClass extends GSInfo {
	function GetAuthor()		{ return "Zuu"; }
	function GetName()			{ return "NoCarGoal"; }
	function GetDescription() 	{ return "Goal: Transport at least X units of cargo A, B and C by the end of year YYYY. 1 cargo = Bronze, 2 cargoes = Silver, 3 cargoes = Gold"; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return "2012-03-04"; }
	function CreateInstance()	{ return "MainClass"; }
	function GetShortName()		{ return "CAGO"; }
	function GetAPIVersion()	{ return "1.3"; }
	function GetUrl()			{ return ""; }

	function GetSettings() {
		AddSetting({name = "transport_target", 
				description = "Target transport amount (per cargo)", 
				easy_value = 100000, 
				medium_value = 100000, 
				hard_value = 100000, 
				custom_value = 100000, 
				flags = CONFIG_INGAME, min_value = 1, max_value = 1000000000});
		AddSetting({name = "play_years", 
				description = "How many game years should the challenge cover?", 
				easy_value = 100, 
				medium_value = 100, 
				hard_value = 100, 
				custom_value = 100, 
				flags = 0, min_value = 1, max_value = 10000});
		AddSetting({name = "log_level", description = "Debug: Log level (higher = print more)", easy_value = 3, medium_value = 3, hard_value = 3, custom_value = 3, flags = CONFIG_INGAME, min_value = 1, max_value = 3});
	}
}

RegisterGS(FMainClass());
